import request from '@/router/axios';

export const getPage = (current, size, params) => {
    return request({
        url: '/api/galaxy-business/base/wateruse/page',
        method: 'get',
        params: {
            ...params,
            current,
            size,
        }
    })
}


export const remove = (ids) => {
    return request({
        url: '/api/galaxy-business/base/wateruse/remove',
        method: 'post',
        params: {
            ids,
        }
    })
}

export const add = (row) => {
    return request({
        url: '/api/galaxy-business/base/wateruse/save',
        method: 'post',
        data: row
    })
}

export const update = (row) => {
    return request({
        url: '/api/galaxy-business/base/wateruse/submit',
        method: 'post',
        data: row
    })
}

export const getDetail = (id) => {
    return request({
        url: '/api/galaxy-business/base/wateruse/detail',
        method: 'get',
        params: {
            id
        }
    })
}

